update not compatible with phone

Completada

Comentarios

1 comentario

  • FreedomPop Community

    Hello Beverly Kennedy!

    Thank you for contacting FreedomPop!

    We're sorry to learn this, we'll be glad to assist you with your current concern.

    Please be advised, our SIM cards are compatible with GSM unlocked devices running on Android 4.3 or + / iOS 8.2 or higher. Check out this support article for additional information.

    We’ll be creating a private message regarding the phone update matter as we need to gather and provide personal account information, please be sure to check your email and reply to this message at your earliest convenience with the required information.

    Thank you!

    0
    Acciones de comentarios Permalink

La publicación no admite más comentarios.